import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { EnvironmentService } from './environment.service';
import { NotificationService } from 'verben-ng-ui';
import * as i0 from "@angular/core";
export declare class HttpWebRequestService {
    private http;
    private envSvc;
    private notificationService;
    isProd: boolean;
    constructor(http: HttpClient, envSvc: EnvironmentService, notificationService: NotificationService);
    private buildHeaders;
    private buildUrl;
    private handleError;
    private request;
    get<T>(url: string, baseUrl?: string): Promise<T>;
    post<T>(url: string, body: any, baseUrl?: string): Promise<T>;
    postFile<T>(url: string, formData: FormData, baseUrl?: string): Promise<T>;
    put<T>(url: string, body: any, baseUrl?: string): Observable<T>;
    delete<T>(url: string, baseUrl?: string): Observable<T>;
    static ɵfac: i0.ɵɵFactoryDeclaration<HttpWebRequestService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<HttpWebRequestService>;
}
